Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Term/FrmTerm.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Term/FrmTerm.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Term/FrmTerm.cs	(revision 51)
@@ -44,11 +44,6 @@
         private const int s_SendMessageLength = 100;
 
         /// <summary>
-        /// 最大登録件数
-        /// </summary>
-        private const int s_MaxWorkCode = 4;
-
-        /// <summary>
         /// 表示順番
         /// </summary>
         private enum DispColumn
@@ -65,7 +60,7 @@
             SendMessage,
         }
 
-        private enum DispControl
+        private enum DispCtrl
         {
             StatusName = 0,
             TargetItem,
@@ -108,14 +103,33 @@
         /// <summary>
         /// 表示コントロール保持配列
         /// </summary>
-        private Control[] m_dispControl = new Control[14];
+        private Control[] m_dispControl;
         /// <summary>
         /// 終了ボタン押下フラグ
         /// </summary>
         private bool m_EndButton = false;
+
+        /// <summary>
+        /// 初期カラムサイズ保存
+        /// </summary>
+        private int[] m_InitColumnSize;
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
         #endregion
 
         #region プロパティ
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
         #endregion
 
         #region コンストラクタ
@@ -181,11 +195,14 @@
         private void FrmTerm_Load(object sender, EventArgs e)
         {
             // フォームサイズ固定
-            this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+            //this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
 
             // コントロールオブジェクト取得
             SetDisplayObject();
 
+            // グリッド情報取得
+            SetInitColumnsize();
+
             // クリア
             ClearDisplay();
 
@@ -200,11 +217,45 @@
             // フィールドロック
             ControlLock(false);
 
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
             // フラグ初期化
             m_bChengeAns = false;
         }
         #endregion
 
+        #region グリッドの初期カラム幅取得
+        /// <summary>
+        /// グリッドの初期カラム幅取得
+        /// </summary>
+        private void SetInitColumnsize()
+        {
+            try
+            {
+                int columnCnt = Enum.GetNames(typeof(DispColumn)).Length;
+                m_InitColumnSize = new int[columnCnt];
+
+                for (int i = 0; i < columnCnt; i++)
+                {
+                    // カラム幅退避
+                    m_InitColumnSize[i] = dgvWorkList.Columns[i].Width;
+                    // カラム幅加算
+                    if (dgvWorkList.Columns[i].Visible) m_GridWidthSize += dgvWorkList.Columns[i].Width;
+                }
+                // スクロール幅引く
+                if (m_GridWidthSize > 0) m_GridWidthSize += 20;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region Entryキーでの移動処理
         /// <summary>
         /// Entryキーでの移動処理
@@ -224,7 +275,7 @@
                 if (cControl != null)
                 {
                     // 最後の入力フィールドならば登録ボタンへ
-                    if (cControl.Name == m_dispControl[(int)DispControl.SendMessage].Name)
+                    if (cControl.Name == m_dispControl[(int)DispCtrl.SendMessage].Name)
                     {
                         btnDataEntry.Focus();
                         return;
@@ -273,6 +324,8 @@
                 // データ登録
                 if (!TermMasterDataEntry()) return;
 
+                CommonMotions.EntryEndMessage("期限登録データ");
+
                 // 変更フラグクリア
                 m_bChengeAns = false;
 
@@ -325,6 +378,8 @@
                     return;
                 }
 
+                CommonMotions.RemoveEndMessage("期限登録データ");
+
                 // クリア
                 ClearDisplay();
 
@@ -483,9 +538,19 @@
             DispMentenanceData();
 
             // モード表示
-            m_dispControl[(int)DispControl.EditMode].Text = CommonDefine.EditModeStringEdit;
+            if (m_EditLock)
+                m_dispControl[(int)DispCtrl.EditMode].Text = CommonDefine.EditModeStringRef;
+            else
+                m_dispControl[(int)DispCtrl.EditMode].Text = CommonDefine.EditModeStringEdit;
+
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+            
             // フォーカスセット
-            m_dispControl[(int)DispControl.StatusName].Focus();
+            m_dispControl[(int)DispCtrl.StatusName].Focus();
 
         }
         #endregion
@@ -533,12 +598,12 @@
                 ControlLock();
 
                 // モード表示
-                m_dispControl[(int)DispControl.EditMode].Text = CommonDefine.EditModeStringNew;
+                m_dispControl[(int)DispCtrl.EditMode].Text = CommonDefine.EditModeStringNew;
 
-                m_dispControl[(int)DispControl.ErrorColor].Text = "メッセージ色";
+                m_dispControl[(int)DispCtrl.ErrorColor].Text = "メッセージ色";
 
                 // フォーカスセット
-                m_dispControl[(int)DispControl.StatusName].Focus();
+                m_dispControl[(int)DispCtrl.StatusName].Focus();
 
             }
             catch (System.Exception ex)
@@ -560,22 +625,22 @@
 
             RadioButton wrkRdb = (RadioButton)sender;
 
-            if (wrkRdb.Name.Equals(m_dispControl[(int)DispControl.Timing1].Name))
+            if (wrkRdb.Name.Equals(m_dispControl[(int)DispCtrl.Timing1].Name))
             {   // 前日以前の場合
-                m_dispControl[(int)DispControl.TermDays].Enabled = true;
+                m_dispControl[(int)DispCtrl.TermDays].Enabled = true;
             }
-            else if (wrkRdb.Name.Equals(m_dispControl[(int)DispControl.Timing2].Name))
+            else if (wrkRdb.Name.Equals(m_dispControl[(int)DispCtrl.Timing2].Name))
             {   // 当日の場合
-                m_dispControl[(int)DispControl.TermDays].Text = "0";
-                m_dispControl[(int)DispControl.TermDays].Enabled = false;
+                m_dispControl[(int)DispCtrl.TermDays].Text = "0";
+                m_dispControl[(int)DispCtrl.TermDays].Enabled = false;
             }
-            else if (wrkRdb.Name.Equals(m_dispControl[(int)DispControl.Timing3].Name))
+            else if (wrkRdb.Name.Equals(m_dispControl[(int)DispCtrl.Timing3].Name))
             {   // 後日以降の場合
-                m_dispControl[(int)DispControl.TermDays].Enabled = true;
+                m_dispControl[(int)DispCtrl.TermDays].Enabled = true;
             }
-            else if (wrkRdb.Name.Equals(m_dispControl[(int)DispControl.Timing4].Name))
+            else if (wrkRdb.Name.Equals(m_dispControl[(int)DispCtrl.Timing4].Name))
             {   // 後日以降継続の場合
-                m_dispControl[(int)DispControl.TermDays].Enabled = true;
+                m_dispControl[(int)DispCtrl.TermDays].Enabled = true;
             }
 
             valueChange(sender, e);
@@ -614,12 +679,12 @@
                     if (ClickButton == btnBackColor)
                     {
                         //選択された色の取得
-                        m_dispControl[(int)DispControl.ErrorColor].BackColor = cd.Color;
+                        m_dispControl[(int)DispCtrl.ErrorColor].BackColor = cd.Color;
                     }
                     else if (ClickButton == btnForeColor)
                     {
                         //選択された色の取得
-                        m_dispControl[(int)DispControl.ErrorColor].ForeColor = cd.Color;
+                        m_dispControl[(int)DispCtrl.ErrorColor].ForeColor = cd.Color;
                     }
                 }
             }
@@ -643,9 +708,9 @@
         private void txtInput01_Validated(object sender, EventArgs e)
         {
             CommonMotions.chgBackColor(txtInput01, true);
-            if (CommonMotions.chkNumeric(m_dispControl[(int)DispControl.TermDays].Text, true))
+            if (CommonMotions.chkNumeric(m_dispControl[(int)DispCtrl.TermDays].Text, true))
             {
-                if (CommonMotions.cnvInt(m_dispControl[(int)DispControl.TermDays].Text) > 999)
+                if (CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.TermDays].Text) > 999)
                 {
                     CommonMotions.chgBackColor(txtInput01, false);
                     MessageBox.Show("経過日は９９９以下の入力です、確認してください。", "データ確認"
@@ -721,8 +786,9 @@
             foreach (Control wrk in m_dispControl)
             {
                 if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (!wrk.GetType().Equals(typeof(Label)))
-                    wrk.Enabled = bctrl;
+                if (wrk.GetType().Equals(typeof(Label))) continue;
+                    
+                wrk.Enabled = bctrl;
             }
         }
         #endregion
@@ -733,20 +799,23 @@
         /// </summary>
         private void SetDisplayObject()
         {
-            m_dispControl[(int)DispControl.StatusName] = cmbStatus;
-            m_dispControl[(int)DispControl.TargetItem] = cmbItemNo;
-            m_dispControl[(int)DispControl.Timing1] = rdB101;
-            m_dispControl[(int)DispControl.Timing2] = rdB102;
-            m_dispControl[(int)DispControl.Timing3] = rdB103;
-            m_dispControl[(int)DispControl.Timing4] = rdB104;
-            m_dispControl[(int)DispControl.TermDays] = txtInput01;
-            m_dispControl[(int)DispControl.SendTitle] = txtInput03;
-            m_dispControl[(int)DispControl.SendMessage] = txtInput02;
-            m_dispControl[(int)DispControl.ErrorColor] = lblErrorColor;
-            m_dispControl[(int)DispControl.EditMode] = lblEditMode;
-            m_dispControl[(int)DispControl.Key1] = lblKey1;
-            m_dispControl[(int)DispControl.Key2] = lblKey2;
-            m_dispControl[(int)DispControl.Key3] = lblKey3;
+            int DspCtrlCnt = Enum.GetNames(typeof(DispCtrl)).Length;
+            m_dispControl = new Control[DspCtrlCnt];
+
+            m_dispControl[(int)DispCtrl.StatusName] = cmbStatus;
+            m_dispControl[(int)DispCtrl.TargetItem] = cmbItemNo;
+            m_dispControl[(int)DispCtrl.Timing1] = rdB101;
+            m_dispControl[(int)DispCtrl.Timing2] = rdB102;
+            m_dispControl[(int)DispCtrl.Timing3] = rdB103;
+            m_dispControl[(int)DispCtrl.Timing4] = rdB104;
+            m_dispControl[(int)DispCtrl.TermDays] = txtInput01;
+            m_dispControl[(int)DispCtrl.SendTitle] = txtInput03;
+            m_dispControl[(int)DispCtrl.SendMessage] = txtInput02;
+            m_dispControl[(int)DispCtrl.ErrorColor] = lblErrorColor;
+            m_dispControl[(int)DispCtrl.EditMode] = lblEditMode;
+            m_dispControl[(int)DispCtrl.Key1] = lblKey1;
+            m_dispControl[(int)DispCtrl.Key2] = lblKey2;
+            m_dispControl[(int)DispCtrl.Key3] = lblKey3;
         }
         #endregion
         
@@ -765,8 +834,8 @@
                 wrk.Text = "";
             }
             rdB101.Checked = true;
-            m_dispControl[(int)DispControl.ErrorColor].BackColor = Color.White;
-            m_dispControl[(int)DispControl.ErrorColor].ForeColor = Color.Black;
+            m_dispControl[(int)DispCtrl.ErrorColor].BackColor = Color.White;
+            m_dispControl[(int)DispCtrl.ErrorColor].ForeColor = Color.Black;
 
             cmbStatus.SelectedIndex = -1;
             cmbItemNo.SelectedIndex = -1;
@@ -787,35 +856,35 @@
             try
             {
                 // 工事状況
-                if (m_dispControl[(int)DispControl.StatusName].Text != null)
+                if (m_dispControl[(int)DispCtrl.StatusName].Text != null)
                     // レングスチェック
-                    bAns = CommonMotions.DispFieldIndispensable(m_dispControl[(int)DispControl.StatusName]);
+                    bAns = CommonMotions.DispFieldIndispensable(m_dispControl[(int)DispCtrl.StatusName]);
                 bRet &= bAns;
 
                 // 対象項目
-                if (m_dispControl[(int)DispControl.TargetItem].Text != null)
+                if (m_dispControl[(int)DispCtrl.TargetItem].Text != null)
                     // レングスチェック
-                    bAns = CommonMotions.DispFieldIndispensable(m_dispControl[(int)DispControl.TargetItem]);
+                    bAns = CommonMotions.DispFieldIndispensable(m_dispControl[(int)DispCtrl.TargetItem]);
                 bRet &= bAns;
                 
                 // 経過日数
-                if (m_dispControl[(int)DispControl.TermDays].Text != null)
+                if (m_dispControl[(int)DispCtrl.TermDays].Text != null)
                     // Numericチェック
-                    bAns = CommonMotions.chkNumeric(m_dispControl[(int)DispControl.TermDays].Text, true);
+                    bAns = CommonMotions.chkNumeric(m_dispControl[(int)DispCtrl.TermDays].Text, true);
                 // 背景色変更
-                CommonMotions.chgBackColor(m_dispControl[(int)DispControl.TermDays], bAns);
+                CommonMotions.chgBackColor(m_dispControl[(int)DispCtrl.TermDays], bAns);
                 bRet &= bAns;
 
                 // タイトル
-                if (m_dispControl[(int)DispControl.SendTitle].Text != null)
+                if (m_dispControl[(int)DispCtrl.SendTitle].Text != null)
                     // レングスチェック
-                    bAns = CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispControl.SendTitle], s_SendMessageLength, true);
+                    bAns = CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.SendTitle], s_SendMessageLength, true);
                 bRet &= bAns;
 
                 // メッセージ
-                if (m_dispControl[(int)DispControl.SendMessage].Text != null)
+                if (m_dispControl[(int)DispCtrl.SendMessage].Text != null)
                     // レングスチェック
-                    bAns = CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispControl.SendMessage], s_SendMessageLength, true);
+                    bAns = CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.SendMessage], s_SendMessageLength, true);
                 bRet &= bAns;
 
                 if (!bRet)
@@ -928,15 +997,15 @@
                 else if (rdB103.Checked) tmData.CheckSchdule = (int)CommonDefine.TermDateCheckTiming.CheckSchdule2;
                 else if (rdB104.Checked) tmData.CheckSchdule = (int)CommonDefine.TermDateCheckTiming.CheckSchdule3;
 
-                tmData.TermDays = CommonMotions.cnvInt(m_dispControl[(int)DispControl.TermDays].Text.ToString());
-                tmData.SendTitle = m_dispControl[(int)DispControl.SendTitle].Text.ToString();
-                tmData.SendMessage = m_dispControl[(int)DispControl.SendMessage].Text.ToString();
-                tmData.BackColor = String.Format("0x{0:X2}{1:X2}{2:X2}", m_dispControl[(int)DispControl.ErrorColor].BackColor.R
-                                                                    , m_dispControl[(int)DispControl.ErrorColor].BackColor.G
-                                                                    , m_dispControl[(int)DispControl.ErrorColor].BackColor.B);
-                tmData.ForeColor = String.Format("0x{0:X2}{1:X2}{2:X2}", m_dispControl[(int)DispControl.ErrorColor].ForeColor.R
-                                                                    , m_dispControl[(int)DispControl.ErrorColor].ForeColor.G
-                                                                    , m_dispControl[(int)DispControl.ErrorColor].ForeColor.B);
+                tmData.TermDays = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.TermDays].Text.ToString());
+                tmData.SendTitle = m_dispControl[(int)DispCtrl.SendTitle].Text.ToString();
+                tmData.SendMessage = m_dispControl[(int)DispCtrl.SendMessage].Text.ToString();
+                tmData.BackColor = String.Format("0x{0:X2}{1:X2}{2:X2}", m_dispControl[(int)DispCtrl.ErrorColor].BackColor.R
+                                                                    , m_dispControl[(int)DispCtrl.ErrorColor].BackColor.G
+                                                                    , m_dispControl[(int)DispCtrl.ErrorColor].BackColor.B);
+                tmData.ForeColor = String.Format("0x{0:X2}{1:X2}{2:X2}", m_dispControl[(int)DispCtrl.ErrorColor].ForeColor.R
+                                                                    , m_dispControl[(int)DispCtrl.ErrorColor].ForeColor.G
+                                                                    , m_dispControl[(int)DispCtrl.ErrorColor].ForeColor.B);
                 
                 // 表示順はセットしない
                 tmData.DisplayOrder = 0;
@@ -1214,19 +1283,19 @@
                     else if (wrklist[0].CheckSchdule == 2) rdB103.Checked = true;
                     else if (wrklist[0].CheckSchdule == 3) rdB104.Checked = true;
 
-                    m_dispControl[(int)DispControl.TermDays].Text = wrklist[0].TermDays.ToString();
-                    m_dispControl[(int)DispControl.SendTitle].Text = wrklist[0].SendTitle;
-                    m_dispControl[(int)DispControl.SendMessage].Text = wrklist[0].SendMessage;
+                    m_dispControl[(int)DispCtrl.TermDays].Text = wrklist[0].TermDays.ToString();
+                    m_dispControl[(int)DispCtrl.SendTitle].Text = wrklist[0].SendTitle;
+                    m_dispControl[(int)DispCtrl.SendMessage].Text = wrklist[0].SendMessage;
 
                     // 背景色設定
-                    m_dispControl[(int)DispControl.ErrorColor].BackColor = CommonMotions.getBackForeColor(wrklist[0].BackColor, CommonDefine.PalceOfColor.BackColor);
+                    m_dispControl[(int)DispCtrl.ErrorColor].BackColor = CommonMotions.getBackForeColor(wrklist[0].BackColor, CommonDefine.PalceOfColor.BackColor);
 
                     // 文字色設定
-                    m_dispControl[(int)DispControl.ErrorColor].ForeColor = CommonMotions.getBackForeColor(wrklist[0].ForeColor, CommonDefine.PalceOfColor.ForeColor);
+                    m_dispControl[(int)DispCtrl.ErrorColor].ForeColor = CommonMotions.getBackForeColor(wrklist[0].ForeColor, CommonDefine.PalceOfColor.ForeColor);
 
-                    m_dispControl[(int)DispControl.EditMode].Text = CommonDefine.EditModeStringEdit;       // ”修正”
+                    m_dispControl[(int)DispCtrl.EditMode].Text = CommonDefine.EditModeStringEdit;       // ”修正”
 
-                    m_dispControl[(int)DispControl.ErrorColor].Text = "メッセージ色";
+                    m_dispControl[(int)DispCtrl.ErrorColor].Text = "メッセージ色";
                 }
 
                 m_bChengeAns = false;
@@ -1243,5 +1312,110 @@
         }
 
         #endregion
+
+        #region フォームサイズ変更
+        /// <summary>
+        /// フォームサイズ変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmTerm_SizeChanged(object sender, EventArgs e)
+        {
+            if (this.WindowState == FormWindowState.Minimized)
+            {
+                // 最小化
+            }
+            else if (this.WindowState == FormWindowState.Maximized)
+            {
+                // 最大化
+                CellSizeChangesWhenChangingScreenSize(false);
+            }
+            else if (this.WindowState == FormWindowState.Normal)
+            {
+                // 標準化
+                CellSizeChangesWhenChangingScreenSize(true);
+            }
+        }
+        #endregion
+
+        int m_GridWidthSize = 0;
+        #region 画面サイズ変更時のセルサイズ変更
+        /// <summary>
+        /// 画面サイズ変更時のセルサイズ変更
+        /// </summary>
+        private void CellSizeChangesWhenChangingScreenSize(bool bNormal)
+        {
+            try
+            {
+                DataGridView dgv = dgvWorkList;
+                
+                // サイズに変化が無ければ処理しない
+                if (m_GridWidthSize == dgv.Width) return;
+
+                if (bNormal)
+                {
+                    // ----- 最小化
+                    for (int i = 0; i < m_InitColumnSize.Length; i++)
+                    {
+                        dgvWorkList.Columns[i].Width = m_InitColumnSize[i];
+                    }
+                }
+                else
+                {
+                    // ----- 最大化
+                    int idifference = (dgv.Width - m_GridWidthSize) / 5;
+                    for (int i = 0; i < m_InitColumnSize.Length; i++)
+                    {
+                        switch (i)
+                        {
+                            case (int)DispColumn.StatusName:
+                            case (int)DispColumn.TargetItem:
+                                dgvWorkList.Columns[i].Width += (idifference / 2);
+                                break;
+                            case (int)DispColumn.SendTitle:
+                                dgvWorkList.Columns[i].Width += idifference;
+                                break;
+                            case (int)DispColumn.SendMessage:
+                                dgvWorkList.Columns[i].Width += (idifference * 3);
+                                break;
+                            default:
+                                break;
+                        }
+                    }
+                }
+
+                // サイズセーブ
+                m_GridWidthSize = dgv.Width;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                ControlLock(false);
+                btnDataEntry.Visible = false;
+                btnDataDelete.Visible = false;
+                btnDataLineEntry.Visible = false;
+                btnDispDown.Visible = false;
+                btnDispUp.Visible = false;
+                btnBackColor.Visible = false;
+                btnForeColor.Visible = false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
\ No newline at end of file
